Backend API
Update a JWT template
cURL
curl --request PATCH \ --url https://api.wacht.dev/jwt-templates/{id} \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "token_lifetime": 123, "allowed_clock_skew": 123, "custom_signing_key": { "enabled": true, "key": "<string>", "algorithm": "<string>" }, "template": {} } '
{ "id": "<string>", "name": "<string>", "token_lifetime": 123, "allowed_clock_skew": 123, "custom_signing_key": { "enabled": true, "key": "<string>", "algorithm": "<string>" }, "template": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
API key authentication (format: Bearer {api_key})
Show child attributes
JWT template updated
Token lifetime in seconds
Allowed clock skew in seconds
Was this page helpful?